<%@ page import="weaver.general.BaseBean" %>
<%@ page import="weaver.hrm.User" %>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="weaver.hrm.HrmUserVarify" %>
<%@ page import="com.alibaba.fastjson.JSONObject" %>
<%@ page import="weaver.general.Util" %>
<%@ page import="com.time.util.DateUtil" %>
<%@ page import="weaver.conn.RecordSet" %>

<%--
  User: wangj
  Design Ideas：
  入转调流程提交编制校验规则
    1、根据流程创建时间，查询生效的编制方案。
    不存在：提示不存在当年已启用的编制方案 不允许提交
    存在：
        1.1、根据编制方案查询部门的编制信息。
            查询到部门的具体编制信息：判断是否强控，超编限制流程提交。

--%>
<%@ page contentType="text/html;charset=UTF-8" %>
<%

    BaseBean bb = new BaseBean();
    boolean flag = true;
    String msg = "";
    User user = HrmUserVarify.getUser(request,response);
    Map<String,Object> res = new HashMap<>(100);
    String requestid = Util.null2String(request.getParameter("requestid"));
    String createdate = getWfRequestDate(requestid);
    //1、根据流程创建时间，查询生效的编制方案。
    String planid = getStaffPlanId(createdate);
    if("".equals(planid)){
        flag = false;
        msg = "不存在流程创建日期范围内已启用的编制方案,禁止提交！";
    }

    res.put("flag",flag);
    res.put("msg",msg);
    out.print(JSONObject.toJSONString(res));

%>

<%!
    private String getWfRequestDate(String requestid){
        String date = "";
        if("".equals(requestid)){
            date = DateUtil.getCurrentTime("yyyy-MM-dd");
            return date;
        }
        RecordSet rs = new RecordSet();
        String sql = "select createdate from workflow_requestbase where requestid = '"+requestid+"'";
        rs.execute(sql);
        while (rs.next()){
            date = Util.null2String(rs.getString("createdate"));
        }
        return date;
    }
%>

<%!
    private String getStaffPlanId(String createdate){
        String planid = "";
        String sql = "select id,ec_company,control_dimension from  jcl_org_staffplan where forbidden_tag = 0 and control_dimension = 2 and time_end >= ? and time_start <= ?";
        RecordSet rs = new RecordSet();
        rs.executeQuery(sql,createdate,createdate);
        while (rs.next()){
            planid = Util.null2String(rs.getString("id"));
        }
        return planid;
    }
%>





