package com.engine.shgw.web;

import com.alibaba.fastjson.JSONObject;
import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.shgw.service.OrgStaffService;
import com.engine.shgw.service.impl.OrgStaffServiceImpl;
import weaver.general.BaseBean;
import weaver.templetecheck.upconfirmcheck.CheckService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.Map;

/**
 * 编制二开Action
 *
 * @author wangj
 * @version 1.00版本
 * @Date 2024/5/14
 */

public class OrgStaffAction {
    public OrgStaffService getService(){
        return ServiceUtil.getService(OrgStaffServiceImpl.class);
    }

    @GET
    @Path("/updateOrgStaffing")
    @Produces(MediaType.TEXT_PLAIN)
    public String updateOrgStaffing(@Context HttpServletRequest request, @Context HttpServletResponse response){
        Map<String, Object> apidatas = new HashMap<String, Object>();
        try {
            apidatas.putAll(getService().updateOrgStaffing(ParamUtil.request2Map(request)));
        } catch (Exception e) {
            e.printStackTrace();
            apidatas.put("api_status", false);
            apidatas.put("api_errormsg", "catch exception : " + e.getMessage());
        }
        return JSONObject.toJSONString(apidatas);
    }
}
